Uf_disp_display_temporary_point
How to use:
Dim x As Double = 0, y as Double = 0, z as Double = 0
Dim theufsession = Ufsession.getufsession ()
TheUfSession.Disp.Refresh ()
Dim View_tag as Nxopen.tag = NXOpen.Tag.Null
TheUfSession.View.AskWorkView (View_tag)
Dim which_views = NXOpen.UF.UFDisp.ViewType.UseWorkView
Dim layer_number as Integer = 0
TheUfSession.Layer.AskWorkLayer (Layer_number)
Dim Color as NXOpen.UF.UFObj.DispProps
With color
. Layer = Layer_number
. color = 216 ' 114
. Blank_status = ufconstants.uf_obj_not_blanked
. Line_width = Ufconstants.uf_obj_width_normal
. Highlight_status = True
End with
For each marker_type in [Enum]. GetValues (GetType (NXOpen.UF.UFDisp.PolyMarker))
Try
Dim Makerpos () as Double = {x, y, z}
TheUfSession.Disp.DisplayTemporaryPoint (View_tag, which_views, Makerpos, color, marker_type)
Catch ex as Exception
End Try
Dim Ref_point as Ufdisp.textref = NXOpen.UF.UFDisp.TextRef.Middleleft
Dim text as String = Marker_type
Dim Text_coord () as Double = {x + 2, y, z}
TheUfSession.Disp.DisplayTemporaryText (View_tag, which_views, text, Text_coord, ref_point, Color, 3, 1)
Text = [Enum]. GetName (Marker_type. GetType, Marker_type)
Text_coord = {x + 5, y, z}
TheUfSession.Disp.DisplayTemporaryText (View_tag, which_views, text, Text_coord, ref_point, Color, 3, 1)
Y-= 2
Next
, ordinal, and name are as follows:
NX Open Display symbol (UF_DISP_DISPLAY_TEMPORARY_POINT)